####################################################################
#         USE THIS FILE IF YOU ALREADY HAVE THE PREVIOUS           #
#       "SIMPLE GOOGLE ANALYTICS" CONTRIBUTION INSTALLED           #
#        THIS WILL UPGRADE ONLY THE NEEDED ELEMENTS TO             #
#     RUN THE NEWSET 1.1 VERSION AND LEAVE THE REST UNTOUCHED      #
####################################################################


SET @t4=0;
SELECT (@t4:=configuration_group_id) as t4 
FROM configuration_group
WHERE configuration_group_title= 'Google Analytics Configuration';

INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('', 'Activate Conversion Tracking', 'GOOGLE_CONVERSION_ACTIVE', 'No', 'This element enables you turn on or off Google Conversion Tracking.<br><br><span style="color:#ff0000;font-weight:bold;">Please Note:</span> Conversion tracking is used to track the effectiveness of Google AdWords paid search campaigns. If you are <b>not</b> running any paid search campaigns, then you should leave this set to "No".<br><br>If you are running Google AdWords (paid search) campaigns, then turning this on will place the proper conversion tracking code on your checkout success page and enable you to start tracking conversions.<br><br>Turning this on <b>requires you</b> to enter your unique Google Conversion Tracking ID in place of the "XXXXXXXXXXX" number shown in the next section.<br><br>For more hints and tips on how to use Google Analytics to increase sales from your store, visit <b><a href="http://www.zencartoptimization.com" target="blank">ZenCartOptimization.com</a></b><br><br><b>Do you want to turn on Google AdWords Conversion Tracking?</b><br>', @t4, 5, NOW(), NOW(), NULL, 'zen_cfg_select_option(array(''Yes'', ''No''), ');
INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('', 'Google AdWords Conversion Tracking Number', 'GOOGLE_CONVERSION_IDNUM', 'XXXXXXXXXX', 'If you activated Conversion Tracking in the previous section, then you <b>must</b> enter your unique Google Conversion Tracking ID in place of the "XXXXXXXXXXX" shown in the space provided below.<br><br>If you have activated Conversion Tracking, and do not enter your number below, tracking will not work.<br><br>For more hints and tips on how to use Google Analytics to increase sales from your store, visit <b><a href="http://www.zencartoptimization.com" target="blank">ZenCartOptimization.com</a></b><br><br><b>Enter your AdWords Conversion Tracking ID Number below.</b>', @t4, 6, NOW(), NOW(), NULL, NULL);
INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('', 'Google AdWords Language', 'GOOGLE_CONVERSION_LANG', 'en_US', 'Select the language to be used. The default is "English US".<br><br>For more hints and tips on how to use Google Analytics to increase sales from your store, visit <b><a href="http://www.zencartoptimization.com" target="blank">ZenCartOptimization.com</a></b><br><br><b>Select your language below</b><br>', @t4, 7, NOW(), NOW(), NULL, 'zen_cfg_pull_down_google_languages(');



#################################################################
# Add Table for Language support with Google Conversion Tracking.
#################################################################
#
# Table structure for table 'google_analytics_languages'
#

DROP TABLE IF EXISTS google_analytics_languages;
CREATE TABLE google_analytics_languages (
  languages_id int(11) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  code char(10) NOT NULL default '',
  sort_order int(3) default NULL,
  PRIMARY KEY  (languages_id),
  KEY idx_languages_name_zen (name)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Add data to new google language table 
#

INSERT INTO google_analytics_languages VALUES ('','Chinese (simplified) - ???','zh_CN',1);
INSERT INTO google_analytics_languages VALUES ('','Chinese (traditional) - ???','zh_TW',2);
INSERT INTO google_analytics_languages VALUES ('','Danish - Dansk','da',3);
INSERT INTO google_analytics_languages VALUES ('','Dutch - Nederlands','nl',4);
INSERT INTO google_analytics_languages VALUES ('','English (Australia)','en_AU',5);
INSERT INTO google_analytics_languages VALUES ('','English (UK))','en_GB',6);
INSERT INTO google_analytics_languages VALUES ('','English (US)','en_US',7);
INSERT INTO google_analytics_languages VALUES ('','Finnish - suomi','fi',8);
INSERT INTO google_analytics_languages VALUES ('','French - Franais','fr',9);
INSERT INTO google_analytics_languages VALUES ('','German - Deutsch','de',10);
INSERT INTO google_analytics_languages VALUES ('','Hebrew - ???','iw',11);
INSERT INTO google_analytics_languages VALUES ('','Italian - Italiano','it',12);
INSERT INTO google_analytics_languages VALUES ('','Japanese - ???','ja',13);
INSERT INTO google_analytics_languages VALUES ('','Korean - ???','ko',14);
INSERT INTO google_analytics_languages VALUES ('','Norwegian - Norsk','no',15);
INSERT INTO google_analytics_languages VALUES ('','Polish - polski','pl',16);
INSERT INTO google_analytics_languages VALUES ('','Portuguese (Brazil) - Portugus (Brasil)','pt_BR',17);
INSERT INTO google_analytics_languages VALUES ('','Portuguese (Portugal) - Portugus (Portugal)','pt_PT',18);
INSERT INTO google_analytics_languages VALUES ('','Russian - ???????','ru',19);
INSERT INTO google_analytics_languages VALUES ('','Spanish - Espaol','es',20);
INSERT INTO google_analytics_languages VALUES ('','Swedish - Svenska','sv',21);
INSERT INTO google_analytics_languages VALUES ('','Turkish - Trke','tr',22);


# --------------------------------------------------------